<?php
/**
 * The template for displaying the footer.
 *
 * Contains the closing of the #content div and all content after
 *
 * @package Solar Services
 */
?>
<div id="footer">
  <div class="container">
    <div class="container">
      <?php if ( ! dynamic_sidebar( 'footer-1' ) ) : ?>
      <?php endif; // end footer widget area ?>
                
      <?php if ( ! dynamic_sidebar( 'footer-2' ) ) : ?>
      <?php endif; // end footer widget area ?>
    
      <?php if ( ! dynamic_sidebar( 'footer-3' ) ) : ?>
      <?php endif; // end footer widget area ?>
      
      <?php if ( ! dynamic_sidebar( 'footer-4' ) ) : ?>
      <?php endif; // end footer widget area ?>      
      <div class="clear"></div>
    </div> 
  </div>
  <div class="copywrap text-center">

      <div class="footer-bottom">
        <div class="container">
          <?php
            $copyright_text = get_theme_mod( 'solar_services_copyright_line' );
            if(!empty($copyright_text)){
          ?>
            <p><?php echo wp_kses_post($copyright_text); ?></p>
          <?php
          }else{
              $url2 =  esc_url('https://www.theclassictemplates.com/themes/free-solar-energy-woocommerce-themes/'); 
              $text =  esc_html__('Copyright &copy; 2023 ','solar-services');
              $text2 =  get_bloginfo('name');
              $text3 =  ' |';
              $text4 = $text.$text2.$text3;
              $text5 =  esc_html__('Solar Services','solar-services');
              printf( '<p>%s Powered by <a href="%s">%s</a></p>', esc_html($text4), esc_url($url2), esc_html($text5) );
          }
          ?>
        </div>
      </div>
  </div>
</div>
<?php wp_footer(); ?>
</body>
</html>
